Chuyển đến nội dung chính
POST
/
import
/
{baseId}
cURL
curl --request POST \
  --url https://sheets.vn/api/import/%7BbaseId%7D \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"worksheets":{"property1":{"name":"string","columns":[{"type":"singleLineText","name":"string","sourceColumnIndex":0}],"useFirstRowAsHeader":true,"importData":true},"property2":{"name":"string","columns":[{"type":"singleLineText","name":"string","sourceColumnIndex":0}],"useFirstRowAsHeader":true,"importData":true}},"attachmentUrl":"string","fileType":"csv","notification":true,"tz":"string"}'
{
  "id": "<string>",
  "name": "<string>",
  "dbTableName": "<string>",
  "description": "<string>",
  "icon": "<string>",
  "order": 123,
  "lastModifiedTime": "<string>",
  "defaultViewId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://www.sheets.vn/docs/llms.txt

Use this file to discover all available pages before exploring further.

Ủy quyền

Authorization
string
header
bắt buộc

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Tham số đường dẫn

baseId
string
bắt buộc

Nội dung

application/json
worksheets
object
bắt buộc
attachmentUrl
string
bắt buộc
fileType
enum<string>
bắt buộc
Tùy chọn có sẵn:
csv,
excel
tz
string
bắt buộc

The time zone that should be used to format dates

notification
boolean

Phản hồi

201 - application/json

Returns data about a table without records

id
string
bắt buộc

The id of table.

name
string
bắt buộc

The name of the table.

dbTableName
string
bắt buộc

Table name in backend database. Limitation: 1-63 characters, start with letter, can only contain letters, numbers and underscore, case insensitive, cannot be duplicated with existing db table name in the base.

Pattern: ^[a-z]\w{0,62}$/i
description
string

The description of the table.

icon
string<emoji>

The emoji icon string of the table.

order
number
lastModifiedTime
string

The last modified time of the table.

defaultViewId
string

The default view id of the table.